package com.dxhy.core.entity;

import java.io.Serializable;
import java.util.Arrays;
import java.util.Date;

/**
 * t_dx_export_customs
 *
 * @author
 */

@SuppressWarnings({"AlibabaMethodTooLong", "AlibabaClassNamingShouldBeCamel"})
public class TDxExportCustoms implements Serializable {
    private Long id;

    /**
     * 缴款单位
     */
    private String gfName;

    /**
     * 缴款税号
     */
    private String gfTaxNo;

    /**
     * 缴款书号码
     */
    private String customsCode;

    /**
     * 出口转内销证明编号
     */
    private String exportNo;

    /**
     * 缴款单位一税号
     */
    private String payerOneTaxno;

    /**
     * 缴款单位一名称
     */
    private String payerOneName;

    /**
     * 缴款单位二税号
     */
    private String payerTwoTaxno;

    /**
     * 缴款单位二名称
     */
    private String payerTwoName;

    /**
     * 填发日期
     */
    private Date fillInDate;

    /**
     * 转内销税款金额
     */
    private String exportTaxAmount;

    /**
     * 有效转内销税款金额
     */
    private String yxExportTaxAmount;

    /**
     * 进口口岸代码
     */
    private String importPortCode;

    /**
     * 收入机关
     */
    private String incomeOffice;

    /**
     * 申请单位编号
     */
    private String applicantCode;

    /**
     * 报关单编号
     */
    private String billCode;

    /**
     * 贸易方式
     */
    private String modeType;

    /**
     * 预算科目代码
     */
    private String budgetCode;

    /**
     * 收款国库代码
     */
    private String treasuryCode;

    /**
     * 合同号
     */
    private String contractCode;

    /**
     * 运输工具
     */
    private String meansTransport;

    /**
     * 缴款期限
     */
    private String paymentPeriod;

    /**
     * 提运单号
     */
    private String deliveryCode;

    /**
     * 数据来源0采集1手工录入2Excel导入3扫描仪录入4电子版导入
     */
    private String dataSources;

    /**
     * 采集时间
     */
    private Date createDate;

    /**
     * 修改时间
     */
    private Date updateDate;

    /**
     * 数据类型17-海关缴款书
     */
    private String dataType;

    /**
     * 稽核结果 -1-待处理，0-稽核中，1-相符，2-不符，3-缺联，4-重号 5历史相符
     */
    private String auditStatus;

    /**
     * 是否申请核对0-否 1-是
     */
    private String applyCheck;

    /**
     * 失败原因 4-参数异常 5-数据重复 8-其他异常13-无法登录税局
     */
    private String failReason;

    /**
     * 核查结果 0允许抵扣/退税 1不允许抵扣/退税
     */
    private String checkStatus;

    /**
     * 认证时间
     */
    private Date rzhDate;

    /**
     * 认证确认时间
     */
    private Date confirmDate;

    /**
     * 认证方式1手工，2导入
     */
    private String rzhType;

    /**
     * 是否认证0未认证，1已认证抵扣，2已认证不抵扣
     */
    private String rzhYesorno;

    /**
     * 认证返回信息
     */
    private String rzhBackMsg;

    /**
     * 当前税款所属期
     */
    private String dqskssq;

    /**
     * 当前税款所属期勾选截止日
     */
    private String gxjzr;

    /**
     * 当前税款所属期可勾选发票开票日期范围起
     */
    private String gxfwq;

    /**
     * 当前税款所属期可勾选发票开票日期范围止
     */
    private String gxfwz;

    /**
     * 是否存入明细 0 无明细 1 有明细
     */
    private String detailYesorno;

    /**
     * 认证处理状态0-未认证 1-已勾选未确认，2已确认 3 已发送认证 4 认证成功 5 认证失败6撤销认证
     */
    private String authStatus;

    /**
     * 发送认证时间
     */
    private Date sendDate;

    /**
     * 认证类型(1-抵扣 2-退税 3-代理退税4-不抵扣 5-撤销认证 6-撤销不抵扣发票已认证、已勾选有该标签）
     */
    private String rzlx;

    /**
     * 确认人
     */
    private String confirmUser;

    /**
     * 管理状态0正常1异常2疑似非正常
     */
    private String glzt;

    /**
     * 信息来源0扫描认证1系统推送 2出口转内销
     */
    private String xxly;

    /**
     * 撤销认证处理状态0未撤销，1申请撤销，2发送撤销，4撤销成功，5撤销失败
     */
    private String cxrzStatus;

    /**
     * 撤销认证操作时间
     */
    private Date cxrzDate;

    /**
     * 撤销认证申请属期
     */
    private String cxrzCurrentPeriod;

    /**
     * 认证类型，1认证抵扣，2认证不抵扣，3退税认证，4出口转内销认证抵扣，5出口转内销认证不抵扣
     */
    private String bdkStatus;

    /**
     * 撤销不抵扣处理状态0未申请，1申请，2发送申请，4申请成功，5申请失败
     */
    private String cxbdkStatus;

    /**
     * 撤销不抵扣操作时间
     */
    private Date cxbdkDate;

    /**
     * 不抵扣申请属期
     */
    private String bdkCurrentPeriod;

    /**
     * 是否录入不符项 0-否 1-是
     */
    private String entryDiscrepancy;

    /**
     * 公司编码
     */
    private String company;

    /**
     * 认证属期
     */
    private byte[] rzhBelongDate;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGfName() {
        return gfName;
    }

    public void setGfName(String gfName) {
        this.gfName = gfName;
    }

    public String getGfTaxNo() {
        return gfTaxNo;
    }

    public void setGfTaxNo(String gfTaxNo) {
        this.gfTaxNo = gfTaxNo;
    }

    public String getCustomsCode() {
        return customsCode;
    }

    public void setCustomsCode(String customsCode) {
        this.customsCode = customsCode;
    }

    public String getExportNo() {
        return exportNo;
    }

    public void setExportNo(String exportNo) {
        this.exportNo = exportNo;
    }

    public String getPayerOneTaxno() {
        return payerOneTaxno;
    }

    public void setPayerOneTaxno(String payerOneTaxno) {
        this.payerOneTaxno = payerOneTaxno;
    }

    public String getPayerOneName() {
        return payerOneName;
    }

    public void setPayerOneName(String payerOneName) {
        this.payerOneName = payerOneName;
    }

    public String getPayerTwoTaxno() {
        return payerTwoTaxno;
    }

    public void setPayerTwoTaxno(String payerTwoTaxno) {
        this.payerTwoTaxno = payerTwoTaxno;
    }

    public String getPayerTwoName() {
        return payerTwoName;
    }

    public void setPayerTwoName(String payerTwoName) {
        this.payerTwoName = payerTwoName;
    }

    public Date getFillInDate() {
        return fillInDate;
    }

    public void setFillInDate(Date fillInDate) {
        this.fillInDate = fillInDate;
    }

    public String getExportTaxAmount() {
        return exportTaxAmount;
    }

    public void setExportTaxAmount(String exportTaxAmount) {
        this.exportTaxAmount = exportTaxAmount;
    }

    public String getYxExportTaxAmount() {
        return yxExportTaxAmount;
    }

    public void setYxExportTaxAmount(String yxExportTaxAmount) {
        this.yxExportTaxAmount = yxExportTaxAmount;
    }

    public String getImportPortCode() {
        return importPortCode;
    }

    public void setImportPortCode(String importPortCode) {
        this.importPortCode = importPortCode;
    }

    public String getIncomeOffice() {
        return incomeOffice;
    }

    public void setIncomeOffice(String incomeOffice) {
        this.incomeOffice = incomeOffice;
    }

    public String getApplicantCode() {
        return applicantCode;
    }

    public void setApplicantCode(String applicantCode) {
        this.applicantCode = applicantCode;
    }

    public String getBillCode() {
        return billCode;
    }

    public void setBillCode(String billCode) {
        this.billCode = billCode;
    }

    public String getModeType() {
        return modeType;
    }

    public void setModeType(String modeType) {
        this.modeType = modeType;
    }

    public String getBudgetCode() {
        return budgetCode;
    }

    public void setBudgetCode(String budgetCode) {
        this.budgetCode = budgetCode;
    }

    public String getTreasuryCode() {
        return treasuryCode;
    }

    public void setTreasuryCode(String treasuryCode) {
        this.treasuryCode = treasuryCode;
    }

    public String getContractCode() {
        return contractCode;
    }

    public void setContractCode(String contractCode) {
        this.contractCode = contractCode;
    }

    public String getMeansTransport() {
        return meansTransport;
    }

    public void setMeansTransport(String meansTransport) {
        this.meansTransport = meansTransport;
    }

    public String getPaymentPeriod() {
        return paymentPeriod;
    }

    public void setPaymentPeriod(String paymentPeriod) {
        this.paymentPeriod = paymentPeriod;
    }

    public String getDeliveryCode() {
        return deliveryCode;
    }

    public void setDeliveryCode(String deliveryCode) {
        this.deliveryCode = deliveryCode;
    }

    public String getDataSources() {
        return dataSources;
    }

    public void setDataSources(String dataSources) {
        this.dataSources = dataSources;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getApplyCheck() {
        return applyCheck;
    }

    public void setApplyCheck(String applyCheck) {
        this.applyCheck = applyCheck;
    }

    public String getFailReason() {
        return failReason;
    }

    public void setFailReason(String failReason) {
        this.failReason = failReason;
    }

    public String getCheckStatus() {
        return checkStatus;
    }

    public void setCheckStatus(String checkStatus) {
        this.checkStatus = checkStatus;
    }

    public Date getRzhDate() {
        return rzhDate;
    }

    public void setRzhDate(Date rzhDate) {
        this.rzhDate = rzhDate;
    }

    public Date getConfirmDate() {
        return confirmDate;
    }

    public void setConfirmDate(Date confirmDate) {
        this.confirmDate = confirmDate;
    }

    public String getRzhType() {
        return rzhType;
    }

    public void setRzhType(String rzhType) {
        this.rzhType = rzhType;
    }

    public String getRzhYesorno() {
        return rzhYesorno;
    }

    public void setRzhYesorno(String rzhYesorno) {
        this.rzhYesorno = rzhYesorno;
    }

    public String getRzhBackMsg() {
        return rzhBackMsg;
    }

    public void setRzhBackMsg(String rzhBackMsg) {
        this.rzhBackMsg = rzhBackMsg;
    }

    public String getDqskssq() {
        return dqskssq;
    }

    public void setDqskssq(String dqskssq) {
        this.dqskssq = dqskssq;
    }

    public String getGxjzr() {
        return gxjzr;
    }

    public void setGxjzr(String gxjzr) {
        this.gxjzr = gxjzr;
    }

    public String getGxfwq() {
        return gxfwq;
    }

    public void setGxfwq(String gxfwq) {
        this.gxfwq = gxfwq;
    }

    public String getGxfwz() {
        return gxfwz;
    }

    public void setGxfwz(String gxfwz) {
        this.gxfwz = gxfwz;
    }

    public String getDetailYesorno() {
        return detailYesorno;
    }

    public void setDetailYesorno(String detailYesorno) {
        this.detailYesorno = detailYesorno;
    }

    public String getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(String authStatus) {
        this.authStatus = authStatus;
    }

    public Date getSendDate() {
        return sendDate;
    }

    public void setSendDate(Date sendDate) {
        this.sendDate = sendDate;
    }

    public String getRzlx() {
        return rzlx;
    }

    public void setRzlx(String rzlx) {
        this.rzlx = rzlx;
    }

    public String getConfirmUser() {
        return confirmUser;
    }

    public void setConfirmUser(String confirmUser) {
        this.confirmUser = confirmUser;
    }

    public String getGlzt() {
        return glzt;
    }

    public void setGlzt(String glzt) {
        this.glzt = glzt;
    }

    public String getXxly() {
        return xxly;
    }

    public void setXxly(String xxly) {
        this.xxly = xxly;
    }

    public String getCxrzStatus() {
        return cxrzStatus;
    }

    public void setCxrzStatus(String cxrzStatus) {
        this.cxrzStatus = cxrzStatus;
    }

    public Date getCxrzDate() {
        return cxrzDate;
    }

    public void setCxrzDate(Date cxrzDate) {
        this.cxrzDate = cxrzDate;
    }

    public String getCxrzCurrentPeriod() {
        return cxrzCurrentPeriod;
    }

    public void setCxrzCurrentPeriod(String cxrzCurrentPeriod) {
        this.cxrzCurrentPeriod = cxrzCurrentPeriod;
    }

    public String getBdkStatus() {
        return bdkStatus;
    }

    public void setBdkStatus(String bdkStatus) {
        this.bdkStatus = bdkStatus;
    }

    public String getCxbdkStatus() {
        return cxbdkStatus;
    }

    public void setCxbdkStatus(String cxbdkStatus) {
        this.cxbdkStatus = cxbdkStatus;
    }

    public Date getCxbdkDate() {
        return cxbdkDate;
    }

    public void setCxbdkDate(Date cxbdkDate) {
        this.cxbdkDate = cxbdkDate;
    }

    public String getBdkCurrentPeriod() {
        return bdkCurrentPeriod;
    }

    public void setBdkCurrentPeriod(String bdkCurrentPeriod) {
        this.bdkCurrentPeriod = bdkCurrentPeriod;
    }

    public String getEntryDiscrepancy() {
        return entryDiscrepancy;
    }

    public void setEntryDiscrepancy(String entryDiscrepancy) {
        this.entryDiscrepancy = entryDiscrepancy;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public byte[] getRzhBelongDate() {
        return rzhBelongDate;
    }

    public void setRzhBelongDate(byte[] rzhBelongDate) {
        this.rzhBelongDate = rzhBelongDate;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        TDxExportCustoms other = (TDxExportCustoms)that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getGfName() == null ? other.getGfName() == null : this.getGfName().equals(other.getGfName()))
            && (this.getGfTaxNo() == null ? other.getGfTaxNo() == null : this.getGfTaxNo().equals(other.getGfTaxNo()))
            && (this.getCustomsCode() == null ? other.getCustomsCode() == null
                : this.getCustomsCode().equals(other.getCustomsCode()))
            && (this.getExportNo() == null ? other.getExportNo() == null
                : this.getExportNo().equals(other.getExportNo()))
            && (this.getPayerOneTaxno() == null ? other.getPayerOneTaxno() == null
                : this.getPayerOneTaxno().equals(other.getPayerOneTaxno()))
            && (this.getPayerOneName() == null ? other.getPayerOneName() == null
                : this.getPayerOneName().equals(other.getPayerOneName()))
            && (this.getPayerTwoTaxno() == null ? other.getPayerTwoTaxno() == null
                : this.getPayerTwoTaxno().equals(other.getPayerTwoTaxno()))
            && (this.getPayerTwoName() == null ? other.getPayerTwoName() == null
                : this.getPayerTwoName().equals(other.getPayerTwoName()))
            && (this.getFillInDate() == null ? other.getFillInDate() == null
                : this.getFillInDate().equals(other.getFillInDate()))
            && (this.getExportTaxAmount() == null ? other.getExportTaxAmount() == null
                : this.getExportTaxAmount().equals(other.getExportTaxAmount()))
            && (this.getYxExportTaxAmount() == null ? other.getYxExportTaxAmount() == null
                : this.getYxExportTaxAmount().equals(other.getYxExportTaxAmount()))
            && (this.getImportPortCode() == null ? other.getImportPortCode() == null
                : this.getImportPortCode().equals(other.getImportPortCode()))
            && (this.getIncomeOffice() == null ? other.getIncomeOffice() == null
                : this.getIncomeOffice().equals(other.getIncomeOffice()))
            && (this.getApplicantCode() == null ? other.getApplicantCode() == null
                : this.getApplicantCode().equals(other.getApplicantCode()))
            && (this.getBillCode() == null ? other.getBillCode() == null
                : this.getBillCode().equals(other.getBillCode()))
            && (this.getModeType() == null ? other.getModeType() == null
                : this.getModeType().equals(other.getModeType()))
            && (this.getBudgetCode() == null ? other.getBudgetCode() == null
                : this.getBudgetCode().equals(other.getBudgetCode()))
            && (this.getTreasuryCode() == null ? other.getTreasuryCode() == null
                : this.getTreasuryCode().equals(other.getTreasuryCode()))
            && (this.getContractCode() == null ? other.getContractCode() == null
                : this.getContractCode().equals(other.getContractCode()))
            && (this.getMeansTransport() == null ? other.getMeansTransport() == null
                : this.getMeansTransport().equals(other.getMeansTransport()))
            && (this.getPaymentPeriod() == null ? other.getPaymentPeriod() == null
                : this.getPaymentPeriod().equals(other.getPaymentPeriod()))
            && (this.getDeliveryCode() == null ? other.getDeliveryCode() == null
                : this.getDeliveryCode().equals(other.getDeliveryCode()))
            && (this.getDataSources() == null ? other.getDataSources() == null
                : this.getDataSources().equals(other.getDataSources()))
            && (this.getCreateDate() == null ? other.getCreateDate() == null
                : this.getCreateDate().equals(other.getCreateDate()))
            && (this.getUpdateDate() == null ? other.getUpdateDate() == null
                : this.getUpdateDate().equals(other.getUpdateDate()))
            && (this.getDataType() == null ? other.getDataType() == null
                : this.getDataType().equals(other.getDataType()))
            && (this.getAuditStatus() == null ? other.getAuditStatus() == null
                : this.getAuditStatus().equals(other.getAuditStatus()))
            && (this.getApplyCheck() == null ? other.getApplyCheck() == null
                : this.getApplyCheck().equals(other.getApplyCheck()))
            && (this.getFailReason() == null ? other.getFailReason() == null
                : this.getFailReason().equals(other.getFailReason()))
            && (this.getCheckStatus() == null ? other.getCheckStatus() == null
                : this.getCheckStatus().equals(other.getCheckStatus()))
            && (this.getRzhDate() == null ? other.getRzhDate() == null : this.getRzhDate().equals(other.getRzhDate()))
            && (this.getConfirmDate() == null ? other.getConfirmDate() == null
                : this.getConfirmDate().equals(other.getConfirmDate()))
            && (this.getRzhType() == null ? other.getRzhType() == null : this.getRzhType().equals(other.getRzhType()))
            && (this.getRzhYesorno() == null ? other.getRzhYesorno() == null
                : this.getRzhYesorno().equals(other.getRzhYesorno()))
            && (this.getRzhBackMsg() == null ? other.getRzhBackMsg() == null
                : this.getRzhBackMsg().equals(other.getRzhBackMsg()))
            && (this.getDqskssq() == null ? other.getDqskssq() == null : this.getDqskssq().equals(other.getDqskssq()))
            && (this.getGxjzr() == null ? other.getGxjzr() == null : this.getGxjzr().equals(other.getGxjzr()))
            && (this.getGxfwq() == null ? other.getGxfwq() == null : this.getGxfwq().equals(other.getGxfwq()))
            && (this.getGxfwz() == null ? other.getGxfwz() == null : this.getGxfwz().equals(other.getGxfwz()))
            && (this.getDetailYesorno() == null ? other.getDetailYesorno() == null
                : this.getDetailYesorno().equals(other.getDetailYesorno()))
            && (this.getAuthStatus() == null ? other.getAuthStatus() == null
                : this.getAuthStatus().equals(other.getAuthStatus()))
            && (this.getSendDate() == null ? other.getSendDate() == null
                : this.getSendDate().equals(other.getSendDate()))
            && (this.getRzlx() == null ? other.getRzlx() == null : this.getRzlx().equals(other.getRzlx()))
            && (this.getConfirmUser() == null ? other.getConfirmUser() == null
                : this.getConfirmUser().equals(other.getConfirmUser()))
            && (this.getGlzt() == null ? other.getGlzt() == null : this.getGlzt().equals(other.getGlzt()))
            && (this.getXxly() == null ? other.getXxly() == null : this.getXxly().equals(other.getXxly()))
            && (this.getCxrzStatus() == null ? other.getCxrzStatus() == null
                : this.getCxrzStatus().equals(other.getCxrzStatus()))
            && (this.getCxrzDate() == null ? other.getCxrzDate() == null
                : this.getCxrzDate().equals(other.getCxrzDate()))
            && (this.getCxrzCurrentPeriod() == null ? other.getCxrzCurrentPeriod() == null
                : this.getCxrzCurrentPeriod().equals(other.getCxrzCurrentPeriod()))
            && (this.getBdkStatus() == null ? other.getBdkStatus() == null
                : this.getBdkStatus().equals(other.getBdkStatus()))
            && (this.getCxbdkStatus() == null ? other.getCxbdkStatus() == null
                : this.getCxbdkStatus().equals(other.getCxbdkStatus()))
            && (this.getCxbdkDate() == null ? other.getCxbdkDate() == null
                : this.getCxbdkDate().equals(other.getCxbdkDate()))
            && (this.getBdkCurrentPeriod() == null ? other.getBdkCurrentPeriod() == null
                : this.getBdkCurrentPeriod().equals(other.getBdkCurrentPeriod()))
            && (this.getEntryDiscrepancy() == null ? other.getEntryDiscrepancy() == null
                : this.getEntryDiscrepancy().equals(other.getEntryDiscrepancy()))
            && (this.getCompany() == null ? other.getCompany() == null : this.getCompany().equals(other.getCompany()))
            && (Arrays.equals(this.getRzhBelongDate(), other.getRzhBelongDate()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getGfName() == null) ? 0 : getGfName().hashCode());
        result = prime * result + ((getGfTaxNo() == null) ? 0 : getGfTaxNo().hashCode());
        result = prime * result + ((getCustomsCode() == null) ? 0 : getCustomsCode().hashCode());
        result = prime * result + ((getExportNo() == null) ? 0 : getExportNo().hashCode());
        result = prime * result + ((getPayerOneTaxno() == null) ? 0 : getPayerOneTaxno().hashCode());
        result = prime * result + ((getPayerOneName() == null) ? 0 : getPayerOneName().hashCode());
        result = prime * result + ((getPayerTwoTaxno() == null) ? 0 : getPayerTwoTaxno().hashCode());
        result = prime * result + ((getPayerTwoName() == null) ? 0 : getPayerTwoName().hashCode());
        result = prime * result + ((getFillInDate() == null) ? 0 : getFillInDate().hashCode());
        result = prime * result + ((getExportTaxAmount() == null) ? 0 : getExportTaxAmount().hashCode());
        result = prime * result + ((getYxExportTaxAmount() == null) ? 0 : getYxExportTaxAmount().hashCode());
        result = prime * result + ((getImportPortCode() == null) ? 0 : getImportPortCode().hashCode());
        result = prime * result + ((getIncomeOffice() == null) ? 0 : getIncomeOffice().hashCode());
        result = prime * result + ((getApplicantCode() == null) ? 0 : getApplicantCode().hashCode());
        result = prime * result + ((getBillCode() == null) ? 0 : getBillCode().hashCode());
        result = prime * result + ((getModeType() == null) ? 0 : getModeType().hashCode());
        result = prime * result + ((getBudgetCode() == null) ? 0 : getBudgetCode().hashCode());
        result = prime * result + ((getTreasuryCode() == null) ? 0 : getTreasuryCode().hashCode());
        result = prime * result + ((getContractCode() == null) ? 0 : getContractCode().hashCode());
        result = prime * result + ((getMeansTransport() == null) ? 0 : getMeansTransport().hashCode());
        result = prime * result + ((getPaymentPeriod() == null) ? 0 : getPaymentPeriod().hashCode());
        result = prime * result + ((getDeliveryCode() == null) ? 0 : getDeliveryCode().hashCode());
        result = prime * result + ((getDataSources() == null) ? 0 : getDataSources().hashCode());
        result = prime * result + ((getCreateDate() == null) ? 0 : getCreateDate().hashCode());
        result = prime * result + ((getUpdateDate() == null) ? 0 : getUpdateDate().hashCode());
        result = prime * result + ((getDataType() == null) ? 0 : getDataType().hashCode());
        result = prime * result + ((getAuditStatus() == null) ? 0 : getAuditStatus().hashCode());
        result = prime * result + ((getApplyCheck() == null) ? 0 : getApplyCheck().hashCode());
        result = prime * result + ((getFailReason() == null) ? 0 : getFailReason().hashCode());
        result = prime * result + ((getCheckStatus() == null) ? 0 : getCheckStatus().hashCode());
        result = prime * result + ((getRzhDate() == null) ? 0 : getRzhDate().hashCode());
        result = prime * result + ((getConfirmDate() == null) ? 0 : getConfirmDate().hashCode());
        result = prime * result + ((getRzhType() == null) ? 0 : getRzhType().hashCode());
        result = prime * result + ((getRzhYesorno() == null) ? 0 : getRzhYesorno().hashCode());
        result = prime * result + ((getRzhBackMsg() == null) ? 0 : getRzhBackMsg().hashCode());
        result = prime * result + ((getDqskssq() == null) ? 0 : getDqskssq().hashCode());
        result = prime * result + ((getGxjzr() == null) ? 0 : getGxjzr().hashCode());
        result = prime * result + ((getGxfwq() == null) ? 0 : getGxfwq().hashCode());
        result = prime * result + ((getGxfwz() == null) ? 0 : getGxfwz().hashCode());
        result = prime * result + ((getDetailYesorno() == null) ? 0 : getDetailYesorno().hashCode());
        result = prime * result + ((getAuthStatus() == null) ? 0 : getAuthStatus().hashCode());
        result = prime * result + ((getSendDate() == null) ? 0 : getSendDate().hashCode());
        result = prime * result + ((getRzlx() == null) ? 0 : getRzlx().hashCode());
        result = prime * result + ((getConfirmUser() == null) ? 0 : getConfirmUser().hashCode());
        result = prime * result + ((getGlzt() == null) ? 0 : getGlzt().hashCode());
        result = prime * result + ((getXxly() == null) ? 0 : getXxly().hashCode());
        result = prime * result + ((getCxrzStatus() == null) ? 0 : getCxrzStatus().hashCode());
        result = prime * result + ((getCxrzDate() == null) ? 0 : getCxrzDate().hashCode());
        result = prime * result + ((getCxrzCurrentPeriod() == null) ? 0 : getCxrzCurrentPeriod().hashCode());
        result = prime * result + ((getBdkStatus() == null) ? 0 : getBdkStatus().hashCode());
        result = prime * result + ((getCxbdkStatus() == null) ? 0 : getCxbdkStatus().hashCode());
        result = prime * result + ((getCxbdkDate() == null) ? 0 : getCxbdkDate().hashCode());
        result = prime * result + ((getBdkCurrentPeriod() == null) ? 0 : getBdkCurrentPeriod().hashCode());
        result = prime * result + ((getEntryDiscrepancy() == null) ? 0 : getEntryDiscrepancy().hashCode());
        result = prime * result + ((getCompany() == null) ? 0 : getCompany().hashCode());
        result = prime * result + (Arrays.hashCode(getRzhBelongDate()));
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", gfName=").append(gfName);
        sb.append(", gfTaxNo=").append(gfTaxNo);
        sb.append(", customsCode=").append(customsCode);
        sb.append(", exportNo=").append(exportNo);
        sb.append(", payerOneTaxno=").append(payerOneTaxno);
        sb.append(", payerOneName=").append(payerOneName);
        sb.append(", payerTwoTaxno=").append(payerTwoTaxno);
        sb.append(", payerTwoName=").append(payerTwoName);
        sb.append(", fillInDate=").append(fillInDate);
        sb.append(", exportTaxAmount=").append(exportTaxAmount);
        sb.append(", yxExportTaxAmount=").append(yxExportTaxAmount);
        sb.append(", importPortCode=").append(importPortCode);
        sb.append(", incomeOffice=").append(incomeOffice);
        sb.append(", applicantCode=").append(applicantCode);
        sb.append(", billCode=").append(billCode);
        sb.append(", modeType=").append(modeType);
        sb.append(", budgetCode=").append(budgetCode);
        sb.append(", treasuryCode=").append(treasuryCode);
        sb.append(", contractCode=").append(contractCode);
        sb.append(", meansTransport=").append(meansTransport);
        sb.append(", paymentPeriod=").append(paymentPeriod);
        sb.append(", deliveryCode=").append(deliveryCode);
        sb.append(", dataSources=").append(dataSources);
        sb.append(", createDate=").append(createDate);
        sb.append(", updateDate=").append(updateDate);
        sb.append(", dataType=").append(dataType);
        sb.append(", auditStatus=").append(auditStatus);
        sb.append(", applyCheck=").append(applyCheck);
        sb.append(", failReason=").append(failReason);
        sb.append(", checkStatus=").append(checkStatus);
        sb.append(", rzhDate=").append(rzhDate);
        sb.append(", confirmDate=").append(confirmDate);
        sb.append(", rzhType=").append(rzhType);
        sb.append(", rzhYesorno=").append(rzhYesorno);
        sb.append(", rzhBackMsg=").append(rzhBackMsg);
        sb.append(", dqskssq=").append(dqskssq);
        sb.append(", gxjzr=").append(gxjzr);
        sb.append(", gxfwq=").append(gxfwq);
        sb.append(", gxfwz=").append(gxfwz);
        sb.append(", detailYesorno=").append(detailYesorno);
        sb.append(", authStatus=").append(authStatus);
        sb.append(", sendDate=").append(sendDate);
        sb.append(", rzlx=").append(rzlx);
        sb.append(", confirmUser=").append(confirmUser);
        sb.append(", glzt=").append(glzt);
        sb.append(", xxly=").append(xxly);
        sb.append(", cxrzStatus=").append(cxrzStatus);
        sb.append(", cxrzDate=").append(cxrzDate);
        sb.append(", cxrzCurrentPeriod=").append(cxrzCurrentPeriod);
        sb.append(", bdkStatus=").append(bdkStatus);
        sb.append(", cxbdkStatus=").append(cxbdkStatus);
        sb.append(", cxbdkDate=").append(cxbdkDate);
        sb.append(", bdkCurrentPeriod=").append(bdkCurrentPeriod);
        sb.append(", entryDiscrepancy=").append(entryDiscrepancy);
        sb.append(", company=").append(company);
        sb.append(", rzhBelongDate=").append(rzhBelongDate);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
